Get a payout
curl --request GET \
--url https://staging.api.krypta-pay.com/v1/payouts/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.krypta-pay.com/v1/payouts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://staging.api.krypta-pay.com/v1/payouts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.krypta-pay.com/v1/payouts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"ok": true,
"data": {
"id": "cmgx2k1qv0001s60f8h3n5z7a",
"reference": "tx_V1StGXR8Z5jdHi6BmyT",
"status": "COMPLETED",
"amount": "15000",
"currency": "XOF",
"fee": "150",
"network": "MTN_BJ",
"description": "Supplier payment #1042",
"recipient": {
"msisdn": "22997000000"
},
"failureReason": null,
"initiatedAt": "2026-10-27T10:15:00.000Z",
"settledAt": "2026-10-27T10:15:42.000Z",
"failedAt": null,
"idempotencyKey": "4b17ddc6-4d7f-4d3e-a7d5-62e3c7f2d18d",
"approvedAt": "2026-10-27T10:15:00.000Z",
"autoExecuted": true,
"frozen": false
}
}{
"ok": false,
"error": {
"code": "unauthorized",
"message": "Invalid or expired API key"
}
}{
"ok": false,
"error": {
"code": "kyb_required",
"message": "Your organization must complete KYB verification."
}
}{
"ok": false,
"error": {
"code": "not_found",
"message": "Payout not found"
}
}{
"ok": false,
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded, retry in 1 minute"
}
}Payouts
Get a payout
Retrieve a payout by id or by reference (tx_…).
GET
/
v1
/
payouts
/
{id}
Get a payout
curl --request GET \
--url https://staging.api.krypta-pay.com/v1/payouts/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.krypta-pay.com/v1/payouts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://staging.api.krypta-pay.com/v1/payouts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.api.krypta-pay.com/v1/payouts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"ok": true,
"data": {
"id": "cmgx2k1qv0001s60f8h3n5z7a",
"reference": "tx_V1StGXR8Z5jdHi6BmyT",
"status": "COMPLETED",
"amount": "15000",
"currency": "XOF",
"fee": "150",
"network": "MTN_BJ",
"description": "Supplier payment #1042",
"recipient": {
"msisdn": "22997000000"
},
"failureReason": null,
"initiatedAt": "2026-10-27T10:15:00.000Z",
"settledAt": "2026-10-27T10:15:42.000Z",
"failedAt": null,
"idempotencyKey": "4b17ddc6-4d7f-4d3e-a7d5-62e3c7f2d18d",
"approvedAt": "2026-10-27T10:15:00.000Z",
"autoExecuted": true,
"frozen": false
}
}{
"ok": false,
"error": {
"code": "unauthorized",
"message": "Invalid or expired API key"
}
}{
"ok": false,
"error": {
"code": "kyb_required",
"message": "Your organization must complete KYB verification."
}
}{
"ok": false,
"error": {
"code": "not_found",
"message": "Payout not found"
}
}{
"ok": false,
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded, retry in 1 minute"
}
}Authorizations
Secret API key from Dashboard → Developers: kp_sandbox_… for Sandbox, kp_live_… for Production. Server-side only.
Path Parameters
Payout id or reference.
⌘I
